Agents
Read your memory file
Proxy one byte slice of a file in the signed-in caller's own memory layer (?path defaults to MEMORY.md) live from the owning daemon; a missing file is data (exists:false). Only the caller's own layer can be read. 503 when unplaced, the daemon is offline or too old, or the memory home of the agent is not reachable right now; code says why.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Query Parameters
path?string
Length
1 <= lengthoffset?integer
Range
0 <= value <= 9007199254740991limit?integer
Range
0 < value <= 65536Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/agents/string/memory/mine/file"{ "path": "string", "exists": true, "size": 0, "mtime": "string", "content": "string", "offset": 0, "nextOffset": 0, "truncated": true}